@import '../colors';

.topbar {
    margin-bottom: 0;
    background-color: $print-blue-dark;
    border: 0;
    height: 32px;
    // primary bar
    .primary {
         background-color: $print-blue-dark;
        .brand {
            color: $ox-white;
            font-size: 26px;
            font-weight: 100;
            letter-spacing: 2px;
            width: 125px;
            text-transform: uppercase;
            background: $print-blue-dark;
            padding: 0;
            justify-content: space-between;
            display: flex;
            align-items: center;
            &:hover { color: $ox-grey; }
            &:focus { background: lighten($print-blue, 5%); outline:0; }
            .ox-logo {
                height: 32px;
                margin: 9px;
                display: inline-block;
            }
            .ox-version {
                display: inline-block;
                font-size: 20px;
                flex: 1;
                text-align: center;
            }
        }
        .navbar-toggle, .navbar-toggle:focus {
            background-color: $print-blue;
            font-size: 24px;
            color: $ox-white;
            border: none;
            padding: 0;
            border-radius:0;
            margin-right: 8px;
        }
    }

    // secondary bar
    .secondary {
        .target {
            display: inline-block;
            .active { background-color: $print-blue; }
            .link {
                color: $ox-grey;
                padding: 15px;
                min-height: 50px;
                &:hover { background-color: $print-blue; }
                &:focus { background-color: lighten($print-blue, 5%); outline: 0; }
                .link-icon { padding-right: 24px; }
            }
        }
    }
}
